12 Dec '13, 10am

On Rails 3.2 you can't catch a ActionController::RoutingError without doing tricky things : #rails

Update your Gemfile to depend on rails = 3.2.0 sass-rails ~> 3.2.3 coffee-rails ~> 3.2.1 uglifier >= 1.0.3 Rails 3.2 deprecates vendor/plugins and Rails 4.0 will remove them completely. You can start replacing these plugins by extracting them as gems and adding them in your Gemfile. If you choose not to make them gems, you can move them into, say, lib/my_plugin/* and add an appropriate initializer in config/initializers/my_plugin.rb . There are a couple of new configuration changes you'd want to add in config/environments/development.rb : # Raise exception on mass assignment protection for Active Record models config.active_record.mass_assignment_sanitizer = :strict # Log the query plan for queries taking more than this (works # with SQLite, MySQL, and PostgreSQL) config.active_record.auto_explain_threshold_in_seconds = 0.5 The mass_assignment_sanitizer config also needs t...

Full article: http://guides.rubyonrails.org/3_2_release_notes.html#rail...

Tweets

Rails Assets

akitaonrails.com 13 Dec '13, 11pm

E com isso também não precisamos ter gems de stubs poluindo o Rubygems.org. Ou seja, "se" funcionar será uma situação ganh...

Rails Assets

akitaonrails.com 13 Dec '13, 9pm

E com isso também não precisamos ter gems de stubs poluindo o Rubygems.org. Ou seja, "se" funcionar será uma situação ganh...

@railsguide you funny. "cookies[:are_good_for_u]"

guides.rubyonrails.org 12 Dec '13, 2am

Testing support was woven into the Rails fabric from the beginning. It wasn't an "oh! let's bolt on support for running te...

@dakoctba da uma olhada. - Rails Assets

akitaonrails.com 13 Dec '13, 10pm

E com isso também não precisamos ter gems de stubs poluindo o Rubygems.org. Ou seja, "se" funcionar será uma situação ganh...

Rails 4.1

edgeguides.rubyonrails.org 18 Dec '13, 2am

If you're upgrading an existing application, it's a great idea to have good test coverage before going in. You should also...

Rails Assets: Quem já conhece, TL;DR direto na ...

akitaonrails.com 13 Dec '13, 9pm

E com isso também não precisamos ter gems de stubs poluindo o Rubygems.org. Ou seja, "se" funcionar será uma situação ganh...

Maintainable and Scalable Systems with Rails En...

rubyflow.com 11 Dec '13, 8pm

Maintainable and Scalable Systems with Rails Engines Posted by joelturnbull on December 11, 2013 — 0 comments We broke our...

Rails Assets

akitaonrails.com 17 Dec '13, 4pm

E com isso também não precisamos ter gems de stubs poluindo o Rubygems.org. Ou seja, "se" funcionar será uma situação ganh...

Rails 4.0: Beta 1 released!

weblog.rubyonrails.org 03 Dec '13, 4am

Hot on the heels of the first production version of Ruby 2.0 comes the first beta version of Rails 4.0. The two form a gre...

How to implement dependent dropdowns in Rails 4...

rubyflow.com 12 Dec '13, 1pm

How to implement dependent dropdowns in Rails 4 with an unobtrusive jQuery script Posted by devinterface on December 12, 2...

Also, regarding — Yay! Incur the overhead of a ...

edgeguides.rubyonrails.org 18 Dec '13, 1am

If you're upgrading an existing application, it's a great idea to have good test coverage before going in. You should also...

Rails 3.2.16 and 4.0.2 have been released! Thes...

weblog.rubyonrails.org 03 Dec '13, 7pm

These two releases contain important security fixes, so please upgrade as soon as possible! In order to make upgrading as ...

Rails 3.2.16 and 4.0.2 have been released! Thes...

weblog.rubyonrails.org 03 Dec '13, 7pm

These two releases contain important security fixes, so please upgrade as soon as possible! In order to make upgrading as ...

Rails Application Layout

rubyflow.com 09 Dec '13, 1am

Rails Application Layout Posted by DanielKehoe on December 09, 2013 — 0 comments I've updated the article Rails Applicatio...

#rails 4.1.0 will introduce config/secrets.yml ...

edgeguides.rubyonrails.org 18 Dec '13, 4pm

If you're upgrading an existing application, it's a great idea to have good test coverage before going in. You should also...